Get an audit event by ID
curl --request GET \
--url https://tracer.sandbox.lerian.net/v1/audit-events/{id} \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://tracer.sandbox.lerian.net/v1/audit-events/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://tracer.sandbox.lerian.net/v1/audit-events/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://tracer.sandbox.lerian.net/v1/audit-events/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"action": "VALIDATE",
"actor": {
"actorType": "user",
"id": "00000000-0000-0000-0000-000000000000",
"ipAddress": "203.0.113.42",
"name": "Jane Doe",
"role": "admin"
},
"createdAt": "2021-01-01T00:00:00Z",
"eventId": "00000000-0000-0000-0000-000000000000",
"eventType": "TRANSACTION_VALIDATED",
"resourceId": "00000000-0000-0000-0000-000000000000",
"resourceType": "transaction",
"result": "ALLOW",
"context": {},
"hash": "a3f1e2b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2c3d4e5f6a7b8c9d0e1f2",
"metadata": {},
"previousHash": "b4e2f3a5c6d7e8f9b0c1d2e3f4a5b6c7d8e9f0a1b2c3d4e5f6a7b8c9d0e1f2a3"
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Get an audit event by ID
Use this endpoint to retrieve a single audit event by its unique identifier.
GET
/
v1
/
audit-events
/
{id}
Get an audit event by ID
curl --request GET \
--url https://tracer.sandbox.lerian.net/v1/audit-events/{id} \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://tracer.sandbox.lerian.net/v1/audit-events/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://tracer.sandbox.lerian.net/v1/audit-events/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://tracer.sandbox.lerian.net/v1/audit-events/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"action": "VALIDATE",
"actor": {
"actorType": "user",
"id": "00000000-0000-0000-0000-000000000000",
"ipAddress": "203.0.113.42",
"name": "Jane Doe",
"role": "admin"
},
"createdAt": "2021-01-01T00:00:00Z",
"eventId": "00000000-0000-0000-0000-000000000000",
"eventType": "TRANSACTION_VALIDATED",
"resourceId": "00000000-0000-0000-0000-000000000000",
"resourceType": "transaction",
"result": "ALLOW",
"context": {},
"hash": "a3f1e2b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2c3d4e5f6a7b8c9d0e1f2",
"metadata": {},
"previousHash": "b4e2f3a5c6d7e8f9b0c1d2e3f4a5b6c7d8e9f0a1b2c3d4e5f6a7b8c9d0e1f2a3"
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Authorizations
BearerAuthApiKeyAuth
JWT bearer token issued by the identity provider.
Path Parameters
Audit event ID (UUID)
Response
OK
Example:
"VALIDATE"
Show child attributes
Show child attributes
Example:
"2021-01-01T00:00:00Z"
Example:
"00000000-0000-0000-0000-000000000000"
Example:
"TRANSACTION_VALIDATED"
Example:
"00000000-0000-0000-0000-000000000000"
Example:
"transaction"
Example:
"ALLOW"
Show child attributes
Show child attributes
Example:
"a3f1e2b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2c3d4e5f6a7b8c9d0e1f2"
Show child attributes
Show child attributes
Example:
"b4e2f3a5c6d7e8f9b0c1d2e3f4a5b6c7d8e9f0a1b2c3d4e5f6a7b8c9d0e1f2a3"
Was this page helpful?

